=== libsvgtiny/src/Makefile ===
# Sources
DIR_SOURCES := svgtiny.c svgtiny_gradient.c svgtiny_list.c svgtiny_parse.c svgtiny_path.c

SOURCES := $(SOURCES)

$(DIR)autogenerated_colors.c: src/colors.gperf
	$(VQ)$(ECHO) "   GPERF: $<"
	$(Q)gperf --output-file=$@.tmp $<
# Squash "error: no previous declaration for 'svgtiny_color_lookup'"
	$(Q)$(SED) -e 's/^\(const struct svgtiny_named_color\)/static \1/' $@.tmp >$@
	$(Q)$(RM) $@.tmp

PRE_TARGETS := $(DIR)autogenerated_colors.c

CLEAN_ITEMS := $(DIR)autogenerated_colors.c

include $(NSBUILD)/Makefile.subdir
