=== libsvgtiny/test/Makefile ===
# Tests
DIR_TEST_ITEMS := svg2mvg:svg2mvg.c

# Fuzzer
DIR_FUZZER_ITEM := svgparse:svgparse.c
DIR_FUZZER_INPUT := ns-afl-svg
DIR_FUZZER_DICT := afl-svg.dict

include $(NSBUILD)/Makefile.subdir
