=== netsurf/content/fetchers/about/Makefile ===
# about fetcher sources

S_FETCHER_ABOUT := \
	about.c \
	blank.c \
	certificate.c \
	chart.c \
	choices.c \
	config.c \
	imagecache.c \
	nscolours.c \
	query.c \
	query_auth.c \
	query_fetcherror.c \
	query_privacy.c \
	query_timeout.c \
	testament.c \
	websearch.c

# The following files depend on the testament
content/fetchers/about/testament.c: testament $(OBJROOT)/testament.h
