=== debian/changelog ===
netsurf (3.11~6790-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sun, 23 Feb 2025 22:37:48 +0000
