## netsurf 3.11~6792

=== debian/changelog ===
netsurf (3.11~6792-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sat, 01 Mar 2025 15:13:15 +0000
