## netsurf 3.11~6796

=== debian/changelog ===
netsurf (3.11~6796-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sun, 02 Mar 2025 11:23:52 +0000
