## netsurf 3.11~6799

=== libcss/test/Makefile ===
# Tests
DIR_TEST_ITEMS := csdetect:csdetect.c css21:css21.c lex:lex.c \
	lex-auto:lex-auto.c number:number.c \
	parse:parse.c parse-auto:parse-auto.c parse2-auto:parse2-auto.c \
	select:select.c select2:select2.c

include $(NSBUILD)/Makefile.subdir
