=== libcss/src/select/Makefile ===
# Sources
.PHONY: select_generator
select_generator:
	python3 src/select/select_generator.py

DIR_SOURCES := arena.c calc.c computed.c dispatch.c hash.c select.c strings.c font_face.c format_list_style.c unit.c

include $(NSBUILD)/Makefile.subdir
