=== debian/changelog ===
netsurf (3.11~6799-1) UNRELEASED; urgency=medium

  * Change to building gtk3 version
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sun, 02 Mar 2025 13:05:06 +0000

netsurf (3.7-1) unstable; urgency=medium

  * Make png generation reproducible.
  * Add font recommend dependancy for framebuffer edition
  * Remove unecessary patches for 3.7

 -- Vincent Sanders <vince@debian.org>  Mon, 02 Jan 2017 11:55:26 +0000
