## netsurf 3.11~6817

=== debian/changelog ===
netsurf (3.11~6817-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sat, 28 Jun 2025 15:51:25 +0100
