## netsurf 3.11~6829

=== debian/changelog ===
netsurf (3.11~6829-1) UNRELEASED; urgency=medium

  * add xxd dependancy
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Fri, 04 Jul 2025 16:52:29 +0100

netsurf (3.7-1) UNRELEASED; urgency=medium

  * Remove unecessary patches for 3.7 release

 -- Vincent Sanders <vince@debian.org>  Mon, 29 May 2017 11:55:26 +0000

netsurf (3.6-4) unstable; urgency=medium

  * Make png generation reproducible.
  * Add font recommend dependancy for framebuffer edition

 -- Vincent Sanders <vince@debian.org>  Mon, 02 Jan 2017 11:55:26 +0000
