## netsurf 3.11~6853

=== debian/changelog ===
netsurf (3.11~6853-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sun, 24 Aug 2025 11:20:32 +0100
