## netsurf 3.11~6863

=== debian/changelog ===
netsurf (3.11~6863-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Tue, 02 Sep 2025 09:43:29 +0100
