## netsurf 3.11~6865

=== debian/changelog ===
netsurf (3.11~6865-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Tue, 02 Sep 2025 10:30:26 +0100
