## netsurf 3.11~6916

=== debian/changelog ===
netsurf (3.11~6916-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Wed, 24 Sep 2025 10:15:58 +0100
