## netsurf 3.11~6920

=== debian/changelog ===
netsurf (3.11~6920-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Wed, 24 Sep 2025 17:09:07 +0100
