## netsurf 3.11~6922

=== debian/changelog ===
netsurf (3.11~6922-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Thu, 25 Sep 2025 09:46:47 +0100
