## netsurf 3.11~6925

=== debian/changelog ===
netsurf (3.11~6925-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Fri, 26 Sep 2025 15:38:36 +0100
