## netsurf 3.11~6929

=== debian/changelog ===
netsurf (3.11~6929-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sat, 27 Sep 2025 16:08:34 +0100
