## netsurf 3.11~6935

=== debian/changelog ===
netsurf (3.11~6935-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Tue, 30 Sep 2025 14:27:06 +0100
