## netsurf 3.11~6945

=== debian/changelog ===
netsurf (3.11~6945-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Wed, 01 Oct 2025 16:57:52 +0100
