## netsurf 3.11~6951

=== debian/changelog ===
netsurf (3.11~6951-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Thu, 02 Oct 2025 15:43:22 +0100
