## netsurf 3.11~6953

=== debian/changelog ===
netsurf (3.11~6953-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Thu, 02 Oct 2025 18:23:58 +0100
