## netsurf 3.11~6955

=== debian/changelog ===
netsurf (3.11~6955-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Thu, 02 Oct 2025 21:13:34 +0100
