## netsurf 3.11~6957

=== debian/changelog ===
netsurf (3.11~6957-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Fri, 03 Oct 2025 09:57:43 +0100
