## netsurf 3.11~6959

=== debian/changelog ===
netsurf (3.11~6959-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Fri, 03 Oct 2025 15:25:08 +0100
