## netsurf 3.11~6961

=== debian/changelog ===
netsurf (3.11~6961-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sat, 04 Oct 2025 16:33:05 +0100
