## netsurf 3.11~6963

=== debian/changelog ===
netsurf (3.11~6963-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sun, 05 Oct 2025 20:08:16 +0100
