## netsurf 3.11~6965

=== debian/changelog ===
netsurf (3.11~6965-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Mon, 06 Oct 2025 16:28:45 +0100
