## netsurf 3.11~6967

=== debian/changelog ===
netsurf (3.11~6967-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Tue, 07 Oct 2025 09:39:57 +0100
