## netsurf 3.11~6969

=== debian/changelog ===
netsurf (3.11~6969-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Tue, 07 Oct 2025 15:53:05 +0100
