## netsurf 3.11~6975

=== debian/changelog ===
netsurf (3.11~6975-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Thu, 09 Oct 2025 08:37:27 +0100
