=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
export DEB_CFLAGS_MAINT_APPEND = -Wno-error
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- V=1 PREFIX=/usr TARGET=gtk2
	dh_auto_build -- V=1 PREFIX=/usr TARGET=gtk3
	dh_auto_build -- V=1 PREFIX=/usr TARGET=framebuffer

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr TARGET=gtk3
	mkdir -p debian/netsurf-gtk/usr/share/pixmaps
	mkdir -p debian/netsurf-gtk/usr/share/applications
	convert netsurf/frontends/gtk/res/netsurf.xpm -resize \!32x\!32 debian/netsurf-gtk/usr/share/pixmaps/netsurf3.xpm
	convert netsurf/frontends/gtk/res/netsurf.xpm +set date:create +set date:modify -define png:exclude-chunk=time debian/netsurf-gtk/usr/share/pixmaps/netsurf3.png
	install -m 644 debian/netsurf-gtk.desktop debian/netsurf-gtk/usr/share/applications
	dh_auto_install -- PREFIX=/usr TARGET=gtk2
	mkdir -p debian/netsurf-gtk2/usr/share/pixmaps
	mkdir -p debian/netsurf-gtk2/usr/share/applications
	convert netsurf/frontends/gtk/res/netsurf.xpm -resize \!32x\!32 debian/netsurf-gtk2/usr/share/pixmaps/netsurf2.xpm
	convert netsurf/frontends/gtk/res/netsurf.xpm +set date:create +set date:modify -define png:exclude-chunk=time debian/netsurf-gtk2/usr/share/pixmaps/netsurf2.png
	install -m 644 debian/netsurf-gtk2.desktop debian/netsurf-gtk2/usr/share/applications
	dh_auto_install -- PREFIX=/usr TARGET=framebuffer
	rm debian/tmp/usr/share/netsurf/ca-bundle.txt
	ln -s /etc/ssl/certs/ca-certificates.crt debian/tmp/usr/share/netsurf/ca-bundle.txt

override_dh_auto_clean:
	dh_auto_clean -- PREFIX=/usr TARGET=gtk2
	dh_auto_clean -- PREFIX=/usr TARGET=gtk3
	dh_auto_clean -- PREFIX=/usr TARGET=framebuffer
