## netsurf 3.11~6982

=== debian/changelog ===
netsurf (3.11~6982-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Thu, 09 Oct 2025 20:32:30 +0100
