=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: netsurf
 Section: web
-Priority: extra
+Priority: optional
 Maintainer: Vincent Sanders <vince@debian.org>
 Uploaders: Daniel Silverstone <dsilvers@digital-scurf.org>
-Build-Depends: debhelper (>= 9~), libcurl3-dev, libpng-dev, libgtk2.0-dev, flex, bison, libhtml-parser-perl, librsvg2-dev, libjpeg-dev, imagemagick, libfreetype6-dev, libvncserver-dev, libsdl1.2-dev, libxcb1-dev, libxcb-icccm4-dev, libxcb-image0-dev, libxcb-keysyms1-dev, libxcb-util0-dev, libssl-dev, gperf, vim-common
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9~), libcurl4-openssl-dev, libpng-dev, libgtk2.0-dev, libgtk-3-dev, flex, bison, libhtml-parser-perl, librsvg2-dev, libjpeg-dev, imagemagick, libfreetype6-dev, libvncserver-dev, libsdl1.2-dev, libxcb1-dev, libxcb-icccm4-dev, libxcb-image0-dev, libxcb-keysyms1-dev, libxcb-util0-dev, libssl-dev, gperf, xxd
+Standards-Version: 4.1.4
 Homepage: https://www.netsurf-browser.org
 Vcs-Browser: https://source.netsurf-browser.org/packaging/debian.git/
 Vcs-Git: git://git.netsurf-browser.org/packaging/debian.git
@@ -32,7 +32,19 @@
  comprehensive rendering of HTML 5 with CSS 2 in a small resource footprint
  without compromising performance.
  .
- This version uses the GTK+ toolkit.
+ This version uses the GTK+ 3 toolkit.
+
+Package: netsurf-gtk2
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, netsurf-common (=${source:Version})
+Provides: www-browser
+Recommends: mime-support
+Description: small web browser with CSS support for GTK
+ NetSurf is a multi-platform lightweight web browser. It aims to provide
+ comprehensive rendering of HTML 5 with CSS 2 in a small resource footprint
+ without compromising performance.
+ .
+ This version uses the GTK+ 2 toolkit.
 
 Package: netsurf-fb
 Architecture: any
