## netsurf 3.11~6984

=== debian/changelog ===
netsurf (3.11~6984-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Fri, 10 Oct 2025 14:26:41 +0100
