## netsurf 3.11~6987

=== debian/changelog ===
netsurf (3.11~6987-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sat, 11 Oct 2025 19:32:47 +0100
