## netsurf 3.11~7001

=== debian/changelog ===
netsurf (3.11~7001-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Tue, 21 Oct 2025 18:02:52 +0100
