## netsurf 3.11~7006

=== debian/changelog ===
netsurf (3.11~7006-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Thu, 23 Oct 2025 22:54:47 +0100
