## netsurf 3.11~7009

=== debian/changelog ===
netsurf (3.11~7009-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Thu, 23 Oct 2025 23:47:44 +0100
