## netsurf 3.11~7012

=== debian/changelog ===
netsurf (3.11~7012-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sat, 25 Oct 2025 22:19:21 +0100
