## netsurf 3.11~7015

=== debian/changelog ===
netsurf (3.11~7015-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sun, 02 Nov 2025 10:13:27 +0000
