## netsurf 3.11~7018

=== debian/changelog ===
netsurf (3.11~7018-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Mon, 03 Nov 2025 10:43:37 +0000
