## netsurf 3.11~7022

=== debian/changelog ===
netsurf (3.11~7022-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sun, 09 Nov 2025 23:15:42 +0000
