## netsurf 3.11~7028

=== debian/changelog ===
netsurf (3.11~7028-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Fri, 14 Nov 2025 19:11:51 +0000
