## netsurf 3.11~7031

=== debian/changelog ===
netsurf (3.11~7031-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sun, 16 Nov 2025 17:32:48 +0000
