## netsurf 3.11~7039

=== debian/changelog ===
netsurf (3.11~7039-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sat, 22 Nov 2025 17:33:25 +0000
