## netsurf 3.11~7051

=== debian/changelog ===
netsurf (3.11~7051-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Fri, 28 Nov 2025 15:25:00 +0000
