## netsurf 3.11~7053

=== debian/changelog ===
netsurf (3.11~7053-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sat, 29 Nov 2025 16:35:15 +0000
